Skip to main content
GET
/
v1
/
credit_cases
Get administration credit_cases
curl --request GET \
  --url https://api.paytsoftware.com/v1/credit_cases \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "case_number": "<string>",
      "administration_id": "<string>",
      "debt_collection_costs": "<string>",
      "id": "<string>",
      "interest_costs": "<string>",
      "debtor_id": "<string>",
      "payment_plan_id": "<string>",
      "active_payment_plan_id": "<string>",
      "forwarded_to_bailiff_at": "2023-11-07T05:31:56Z",
      "latest_summons_at": "2023-11-07T05:31:56Z",
      "notice_of_default_at": "2023-11-07T05:31:56Z",
      "pre_judicial_at": "2023-11-07T05:31:56Z",
      "pre_summons_at": "2023-11-07T05:31:56Z",
      "paused_at": "2023-11-07T05:31:56Z",
      "first_summons_at": "2023-11-07T05:31:56Z",
      "summons_1_at": "2023-11-07T05:31:56Z",
      "summons_2_at": "2023-11-07T05:31:56Z",
      "summons_3_at": "2023-11-07T05:31:56Z",
      "summons_4_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "labels": [
        {
          "name": "<string>"
        }
      ],
      "internal_note_email_address": "<string>"
    }
  ],
  "pagination": {
    "cursor": "<string>"
  }
}

Authorizations

Authorization
string
header
required

OAuth2 access token or static API token. See Authorization for how to obtain one.

Query Parameters

administration_id
string
required

Administration identifier

ids
string

Filter credit cases with a comma separated list of internal ids

updated_after
string<date-time>

ISO8601 UTC Timestamp to filter records updated after it

fields
object

JSON object defining fields to receive (e.g {"only": ["field1", {"field2": ["field3"]}]})

cursor
string

The record identifier after which to start the page

per_page
integer<int32>
default:100

How many records will be returned per page, (1..500), defaults to 100

Required range: 1 <= x <= 500

Response

Paginated list of credit cases

CustomerApi_CreditCasesPageEntity model

data
object[]
required

Credit case

pagination
object

Pagination details

Last modified on June 12, 2026